Mysql error during Wamp 3 installation
Posted by: robyblax (---.hostingpartner.it)
Date: October 10, 2017 12:21PM

Hello everyone,

I had an old version of Wamp 2.2 and I needed to change it with newer version 3.1. So I correctly followed all the instructions to install new version after removing all services of old one. But during installation of new version I received the folloging Mysql errors:

mysqld.exe
The code execution could not proceed because MSVCP120.dll was not found.
Reinstalling the program may fix this problem.

The code execution could not proceed because MSVCR120.dll was not found.
Reinstalling the program may fix this problem.

And now afer installation Mysql seems not working, and Mysql service seems not installed, and if I try to install the service I receive again the same errors. Also, if I try to access Phpmyadmin I receive an error, probably because of faulty installation. Maybe there are conflict with old installation, or I don't know. I think all VC++ requirements are met because they are shown as installed on Windows app manager.
Could anyone help?

Thank you.

Roberto



Edited 2 time(s). Last edit at 10/10/2017 12:27PM by robyblax.

Options: ReplyQuote
Re: Mysql error during Wamp 3 installation
Posted by: Otomatic (Moderator)
Date: October 10, 2017 01:51PM

Hi,

Whar version of Windows ?

>The code execution could not proceed because MSVCP120.dll was not found.
You didn't read prerequisites displaying just before the installation start.

And I'm tired of always having to repeat the same things to the crazy clickers who are not even scared to read a page of explanations.

- Verify that all VC ++ packages are installed and with the latest versions.
To do this, use the tool:
Checks VC++ packages installed
And you will find all the packages on [wampserver.aviatechno.net] in section Visual C++ Redistribuable Packages
Do not forget that if you have a 64 bit Windows, you must install both 32 and 64 bit versions of each package.
You must install each package "as an administrator", so right-click the exe file and then run as Administrator.

------------------------------------------------------------------------------------------------------------
(W7 Pro 64 bit)-Wampserver 3.1.0 32 bit - Apache 2.4.29 - PHP 7.1.10/7.0.24/5.6.31 - MySQL 5.7.20 - MariaDB 10.2.9
Wampserver 3.1.0 64 bit - Apache 2.4.29 - PHP 7.1.10/7.0.24/5.6.31 - MySQL 5.7.20 - MariaDB 10.2.9
PhPMyAdmin 4.7.4 - MysqlDumper 1.24.5

Documentation Apache - Documentation PHP - Documentation MySQL - Wampserver install files & addons
« Ce n'est pas parce qu'ils sont nombreux à avoir tort, qu'ils ont forcément raison. Coluche »
« It's not because they are many to be wrong, they are necessarily right. Coluche »

Options: ReplyQuote
Re: Mysql error during Wamp 3 installation
Posted by: robyblax (---.hostingpartner.it)
Date: October 10, 2017 04:44PM

I understand you could have many situations like mine, but please be more polite, and read more carefully what I wrote, in fact I wrote:

"I think all VC++ requirements are met because they are shown as installed on Windows app manager"

because i already checked if I was OK with VC++ requirements, and I've seen all VC++ packages was installed, so I had valid reasons to think I could install the program, but if your program is so strict with requirements and needs special technical knowledge to be installed, it's not my fault.

Also I wrote you that I carefully read the instructions before installing Wamp, but maybe this is not enough, because the program has many hidden requirements that are hard to find, and in my opinion the correct behaviour for a program should be like this:

- the program checks requirements BEFORE starting the installation
- if the requirements are met let the user start installation
- if the requirements are not met BLOCK the installation and forbid the user to proceed


As per your question...I have Windows 10 64bit, and as your instructions suggest, I installed 32 bit version, but now you tell me to install both 32 and 64 bit, which makes me even more confused.

Best regards.

Roberto

Options: ReplyQuote
Re: Mysql error during Wamp 3 installation
Posted by: Otomatic (Moderator)
Date: October 10, 2017 04:54PM

Hi,

> install both 32 and 64 bit, which makes me even more confused.
Re-read : ... you must install both 32 and 64 bit versions of each package.
VC++ redistribuable packages, not Wampserver install.

Did you run the tool Checks VC++ packages installed ?
What is the result?

> - the program checks requirements BEFORE starting the installation
This is not possible, Microsoft often changes VC ++ redistributable packages and what is valid today, will not be in three months.

------------------------------------------------------------------------------------------------------------
(W7 Pro 64 bit)-Wampserver 3.1.0 32 bit - Apache 2.4.29 - PHP 7.1.10/7.0.24/5.6.31 - MySQL 5.7.20 - MariaDB 10.2.9
Wampserver 3.1.0 64 bit - Apache 2.4.29 - PHP 7.1.10/7.0.24/5.6.31 - MySQL 5.7.20 - MariaDB 10.2.9
PhPMyAdmin 4.7.4 - MysqlDumper 1.24.5

Documentation Apache - Documentation PHP - Documentation MySQL - Wampserver install files & addons
« Ce n'est pas parce qu'ils sont nombreux à avoir tort, qu'ils ont forcément raison. Coluche »
« It's not because they are many to be wrong, they are necessarily right. Coluche »

Options: ReplyQuote
Re: Mysql error during Wamp 3 installation
Posted by: robyblax (---.hostingpartner.it)
Date: October 10, 2017 06:48PM

> Did you run the tool
> [url=http://wampserver.aviatechno.net/files/tools/
> check_vcredist.exe]Checks VC++ packages
> installed[/url] ?
> What is the result?

Below you can find the result of the check. Some VC++ packages resulted as missing. Can I install them using the links provided in the result?

Also, kindly let me know if I can keep my current installation of Wamp or if I will have to re-install it after installing VC++ packages.

Thank you


---------------------------------------

VC_2008_SP1_REDIST_X86 ID={820B6609-4C97-3A2B-B644-573B06A0F0CC}
Visual C++ 2008 SP1 Redistributable Package (x86)
**** NOT INSTALLED ****
see: [url]http://www.microsoft.com/downloads/details.aspx?familyid=A5C84275-3B97-4AB7-A40D-3802B2AF5FC2[/url]
----------------------------------------
VC_2013_REDIST_X86_MIN ID={13A4EE12-23EA-3371-91EE-EFB36DDFFF3E}
Visual C++ Redistributable Packages for Visual Studio 2013
**** NOT INSTALLED ****
see: [url]https://www.microsoft.com/en-us/download/details.aspx?id=40784[/url]
----------------------------------------
VC_2017_REDIST_MIN_X86 ID={029DA848-1A80-34D3-BFC1-A6447BFC8E7F}
Microsoft Visual C++ 2017 x86 Minimum Runtime - 14.11.25325
**** NOT INSTALLED ****
see: [url]https://go.microsoft.com/fwlink/?LinkId=746571[/url]
----------------------------------------
VC_2017_REDIST_ADD_X86 ID={568CD07E-0824-3EEB-AEC1-8FD51F3C85CF}
Microsoft Visual C++ 2017 x86 Additional Runtime - 14.11.25325
**** NOT INSTALLED ****
see: [url]https://go.microsoft.com/fwlink/?LinkId=746571[/url]
----------------------------------------
VC_2008_SP1_REDIST_X64 ID={9B3F0A88-790D-3AD9-9F96-B19CF2746452}
Visual C++ 2008 SP1 Redistributable Package (x64)
**** NOT INSTALLED ****
see: [url]http://www.microsoft.com/downloads/details.aspx?familyid=BA9257CA-337F-4B40-8C14-157CFDFFEE4E[/url]
----------------------------------------
VC_2013_REDIST_X64_MIN ID={A749D8E6-B613-3BE3-8F5F-045C84EBA29B}
Visual C++ Redistributable Packages for Visual Studio 2013
**** NOT INSTALLED ****
see: [url]https://www.microsoft.com/en-us/download/details.aspx?id=40784[/url]
----------------------------------------
VC_2017_REDIST_MIN_X64 ID={B0037450-526D-3448-A370-CACBD87769A0}
Microsoft Visual C++ 2017 x64 Minimum Runtime - 14.11.25325
**** NOT INSTALLED ****
see: [url]https://go.microsoft.com/fwlink/?LinkId=746572[/url]
----------------------------------------
VC_2017_REDIST_ADD_X64 ID={B13B3E11-1555-353F-A63A-8933EE104FBD}
Microsoft Visual C++ 2017 x64 Additional Runtime - 14.11.25325
**** NOT INSTALLED ****
see: [url]https://go.microsoft.com/fwlink/?LinkId=746572[/url]
----------------------------------------



Edited 1 time(s). Last edit at 10/10/2017 06:49PM by robyblax.

Options: ReplyQuote
Re: Mysql error during Wamp 3 installation
Posted by: Otomatic (Moderator)
Date: October 10, 2017 07:41PM

Hi,

Since some VC ++ packages are not installed, it is best to uninstall Wampserver 3, backing up any local sites or databases beforehand, because uninstallation completely suppresses the installation folder.

Then you verify that the installation folder is completely deleted and that the three services wampapache, wampmysqld and wampmariadb (or wampapache64, wampmysqld64 and wampmariadb64) are also deleted.
To delete them if they are not, see (Note 1) of TROUBLESHOOTING TIPS

> Some VC++ packages resulted as missing.
The result of the tool must be All packages needed by Wampserver are installed

> Can I install them using the links provided in the result?
This is not the best solution. Indeed, whatever the versions of the VC packages, at Microsoft the names of the files are always "vcredist_x86.exe" and "vcredist_x64.exe" which means that you no longer know which version corresponds to a particular file.

At the bottom of the page where you found the tool, there are ALL VC ++ packages, up to date, the same as in Microsoft but with different filenames to know which version (and if 32 (x86) or 64 bit (x64)) they match.

http://wampserver.aviatechno.net/ section Visual C++ Redistribuable Packages

From the moment the tool tells you that all the packages are installed, you can install Wampserver 3.1.0.

Remember that all VC ++ packages as well as Wampserver must be installed "as an Administrator".

Note 1: Please excuse me if I seemed to be too incisive in my remarks.

Note 2: If I had integrated the detection of the necessary VC packages in the Wampserver 3.1.0 installer, it would have been necessary to do it five times, Microsoft having modified the VC14 packages twice (while still calling it VC14 Update 3 ) and having released three versions of VC15, the last one replacing VC14. It's not easy to manage.

------------------------------------------------------------------------------------------------------------
(W7 Pro 64 bit)-Wampserver 3.1.0 32 bit - Apache 2.4.29 - PHP 7.1.10/7.0.24/5.6.31 - MySQL 5.7.20 - MariaDB 10.2.9
Wampserver 3.1.0 64 bit - Apache 2.4.29 - PHP 7.1.10/7.0.24/5.6.31 - MySQL 5.7.20 - MariaDB 10.2.9
PhPMyAdmin 4.7.4 - MysqlDumper 1.24.5

Documentation Apache - Documentation PHP - Documentation MySQL - Wampserver install files & addons
« Ce n'est pas parce qu'ils sont nombreux à avoir tort, qu'ils ont forcément raison. Coluche »
« It's not because they are many to be wrong, they are necessarily right. Coluche »

Options: ReplyQuote
Re: Mysql error during Wamp 3 installation
Posted by: robyblax (---.hostingpartner.it)
Date: October 11, 2017 10:17AM

> Since some VC ++ packages are not installed, it is
> best to uninstall Wampserver 3, backing up any local sites
> or databases beforehand, because uninstallation completely suppresses the installation folder.

Ok so I understand I have to uninstall Wampserver 3 to have fully functional installation. But one thing is not so clear to me (that is not explained in your instructions), do I have to unistall Wamp from Windows App Manager, or do I have to just delete the wamp folder and services? Even when I uninstalled previous version Wamp 2 I only deleted the wamp folder, as your instructions said, but now the app is still shown in App Manager resulting in both Wamp 2 and 3 shown together.

So, what are the correct steps to uninstall Wamp? Is this correct?

1. remove Wamp services
2. Uninstall Wamp from Windows app manager
3. Check if Wamp folder and services are deleted


>
> Note 1: Please excuse me if I seemed to be too
> incisive in my remarks.

Don't worry, I know it's not easy to manage many people asking the same thing ;-) Thanks for your patience and your help ;-)

> Note 2: If I had integrated the detection of the
> necessary VC packages in the Wampserver 3.1.0
> installer, it would have been necessary to do it
> five times, Microsoft having modified the VC14
> packages twice (while still calling it VC14 Update
> 3 ) and having released three versions of VC15,
> the last one replacing VC14. It's not easy to
> manage.

It's OK, it was just a suggestion and I didn't know it was difficult to achieve ;-)



Edited 2 time(s). Last edit at 10/11/2017 10:24AM by robyblax.

Options: ReplyQuote
Re: Mysql error during Wamp 3 installation
Posted by: Otomatic (Moderator)
Date: October 11, 2017 11:15AM

Hi,

> do I have to unistall Wamp from Windows App Manager
There is a link "Uninstall Wampserver" in Wampmanager32 or Wampmanager64 start menu group.

> 1. remove Wamp services
> 2. Uninstall Wamp from Windows app manager
> 3. Check if Wamp folder and services are deleted

Correct order :
> But now the app is still shown in App Manager resulting in both Wamp 2 and 3 shown together.
- 0 - With App Manager kill Wampserver app's if active
- 1 - Uninstall Wampserver with Uninstall link (or Windows app manager if link does not exist)
Uninstall launch "uninstall_services.bat" files which normally should remove the services. But in some cases, one or more services are not removed, so:
- 2 - Check if services are deleted
All wamp.... services. There could still be Wamp 2 services that need to be removed.
- 3 - Check if Wamp folder is deleted

Once there, a restart of the system can not hurt.

It is highly recommended that you always run installers and uninstallers "As an administrator"

------------------------------------------------------------------------------------------------------------
(W7 Pro 64 bit)-Wampserver 3.1.0 32 bit - Apache 2.4.29 - PHP 7.1.10/7.0.24/5.6.31 - MySQL 5.7.20 - MariaDB 10.2.9
Wampserver 3.1.0 64 bit - Apache 2.4.29 - PHP 7.1.10/7.0.24/5.6.31 - MySQL 5.7.20 - MariaDB 10.2.9
PhPMyAdmin 4.7.4 - MysqlDumper 1.24.5

Documentation Apache - Documentation PHP - Documentation MySQL - Wampserver install files & addons
« Ce n'est pas parce qu'ils sont nombreux à avoir tort, qu'ils ont forcément raison. Coluche »
« It's not because they are many to be wrong, they are necessarily right. Coluche »

Options: ReplyQuote


Sorry, only registered users may post in this forum.